@model FAA_UI.ViewModels.TestViewModel

<h4 style="font-family:'Garamond',sans-serif;margin:9px 9px 9px 9px;">Test Parameters</h4>
<div class="row" style="margin:0px;padding:0px;">
    @using(Html.BeginForm("Index","Test",FormMethod.Post,new{@class="form-horizontal",style="width:100%;"}))
    {
    <div class="column">
        <div class="table-responsive">
            <table id="tblTest" class="styled-table" cellspacing="0" width="90%">
                <thead>
                    <tr>
                        <th style="display:none;">
                            @Html.DisplayNameFor(model => Model.selectedTest.TestId)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => Model.selectedTest.TestCode)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => Model.selectedTest.TestName)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => Model.selectedTest.W1)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => Model.selectedTest.W2)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => Model.selectedTest.Method)
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model.tblTests) {
                    <tr>
                        <td style="display:none;">
                            @Html.DisplayFor(modelItem => item.TestId)                
                        </td>
                        <td>
                            @Html.ActionLink(item.TestCode,"Index","Test",new { TestID = item.TestId },new{style="color:blue;"})
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.TestName)
                        </td>
                         <td>
@*                             @(new SelectList(ViewBag.FilterList,"Value","Text").Where(x=>x.Value==Convert.ToString(item.W1)).FirstOrDefault().Text) *@
                        </td>
                        <td>
@*                             @(new SelectList(ViewBag.FilterList,"Value","Text").Where(x=>x.Value==Convert.ToString(item.W2)).FirstOrDefault().Text)
 *@                        </td>
                        <td>
@*                             @(new SelectList(ViewBag.MethodList,"Value","Text").Where(x=>x.Value==Convert.ToString(item.Method)).FirstOrDefault().Text)
 *@                        </td>
                    </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
    <div style="width:62%;" class="column">
       @if(Model.selectedTestID>0){
           <!-- Tabs navs -->
            <ul class="nav nav-tabs" id="testTab">
                <li class="nav-item">
                    <a href="#tab_1" class="nav-link active" data-bs-toggle="tab">Kit Details</a>
                </li>
                <li class="nav-item">
                    <a href="#tab_2" class="nav-link" data-bs-toggle="tab">Run Specification</a>
                </li>
                <li class="nav-item">
                    <a href="#tab_3" class="nav-link" data-bs-toggle="tab">Reference Range</a>
                </li>
            </ul>
                <div class="tab-content" style="height:72vh;">
                    <div class="tab-pane fade show active" id="tab_1">
                        <div>
                            <div class="form-group" style="display:none;">
                                @Html.TextBoxFor(model => model.selectedTest.TestId)
                                @Html.TextBoxFor(model => model.selectedTest.UniqueTestId)
                                @Html.TextBoxFor(model => model.tblTestDetail.TestId)
                              @*   @Html.TextBoxFor(model => model.tblTestDetail.TestDetId) *@
                                @Html.TextBoxFor(model => model.tblTestVolume.TestId)
                           @*      @Html.TextBoxFor(model => model.tblTestVolume.TestVolId) *@
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.selectedTest.TestCode)
                                    @Html.TextBoxFor(model => model.selectedTest.TestCode,new{id="editTestCode"})
                                    @*@Html.HiddenFor(model => model.selectedTest.TestCode,new{id="editNewTestCode"}) *@
                                    @Html.ValidationMessageFor(model => model.selectedTest.TestCode)
                                </div>
                                <div class="form-group col-md-3">
                                    @Html.LabelFor(model => model.selectedTest.TestName)
                                    @Html.TextBoxFor(model => model.selectedTest.TestName)
                                    @Html.ValidationMessageFor(model => model.selectedTest.TestName)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.selectedTest.Method)
                                    @Html.DropDownListFor(model => model.selectedTest.Method, new SelectList(ViewBag.MethodList,"Value","Text"))
                                    @Html.ValidationMessageFor(model => model.selectedTest.Method)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.selectedTest.Direction)
                                    @Html.DropDownListFor(model => model.selectedTest.Direction, new SelectList(ViewBag.DirectionList,"Value","Text"))
                                    @Html.ValidationMessageFor(model => model.selectedTest.Direction)
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-2">
                                 @*    @Html.LabelFor(model => model.selectedTest.Reagents)
                                    @Html.DropDownListFor(model => model.selectedTest.Reagents, new SelectList(ViewBag.ReagentCountList,"Value","Text"))
                                    @Html.ValidationMessageFor(model => model.selectedTest.Reagents) *@
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.selectedTest.W1)
                                    @Html.DropDownListFor(model => model.selectedTest.W1, new SelectList(ViewBag.FilterList,"Value","Text"))
                                    @Html.ValidationMessageFor(model => model.selectedTest.W1)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.selectedTest.W2)
                                    @Html.DropDownListFor(model => model.selectedTest.W2, new SelectList(ViewBag.FilterList,"Value","Text"))
                                    @Html.ValidationMessageFor(model => model.selectedTest.W2)
                                </div>
                                <div class="form-group col-md-2" style="display:none;">
                                @*     @Html.LabelFor(model => model.selectedTest.DefaultTest)
                                     @Html.CheckBoxFor(model => model.selectedTest.DefaultTest,new { data_toggle = "toggle"})
                                    @Html.ValidationMessageFor(model => model.selectedTest.DefaultTest) *@
                                </div>

                                <div class="form-group col-md-2">
                                 @*    @Html.LabelFor(model => model.selectedTest.RgtStability)
                                    @Html.TextBoxFor(model => model.selectedTest.RgtStability,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.selectedTest.RgtStability) *@
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.selectedTest.Decimals)
                                    @Html.DropDownListFor(model => model.selectedTest.Decimals, new SelectList(ViewBag.Decimals,"Value","Text"))
                                    @Html.ValidationMessageFor(model => model.selectedTest.Decimals)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.selectedTest.Unit)
                                    @Html.DropDownListFor(model => model.selectedTest.Unit, new SelectList(ViewBag.Unit,"Value","Text"))
                                    @Html.ValidationMessageFor(model => model.selectedTest.Unit)
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-2">
                                   @*  @Html.LabelFor(model => model.selectedTest.ReadTime1S)
                                    @Html.TextBoxFor(model => model.selectedTest.ReadTime1S,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.selectedTest.ReadTime1S) *@
                                </div>
                                <div class="form-group col-md-2">
                                 @*    @Html.LabelFor(model => model.selectedTest.ReadTime1E)
                                    @Html.TextBoxFor(model => model.selectedTest.ReadTime1E,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.selectedTest.ReadTime1E) *@
                                </div>
                                <div class="form-group col-md-2">
                                  @*   @Html.LabelFor(model => model.selectedTest.ReadTime2S)
                                    @Html.TextBoxFor(model => model.selectedTest.ReadTime2S,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.selectedTest.ReadTime2S) *@
                                </div>
                                <div class="form-group col-md-2">
                                 @*    @Html.LabelFor(model => model.selectedTest.ReadTime2E)
                                    @Html.TextBoxFor(model => model.selectedTest.ReadTime2E,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.selectedTest.ReadTime2E) *@
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-3">
                                 @*    @Html.LabelFor(model => model.selectedTest.BlankingType)
                                    @Html.DropDownListFor(model => model.selectedTest.BlankingType, new SelectList(ViewBag.BlankTypeList,"Value","Text"))
                                    @Html.ValidationMessageFor(model => model.selectedTest.BlankingType) *@
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="form-group form-check" style="display:none;">
                         @*            @Html.LabelFor(model => model.selectedTest.CalReq)
                                    @Html.TextBoxFor(model => model.selectedTest.CalReq)
                                    @Html.ValidationMessageFor(model => model.selectedTest.CalReq) *@
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestDetail.RbLow)
                                    @Html.TextBoxFor(model => model.tblTestDetail.RbLow,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestDetail.RbLow)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestDetail.RbHigh)
                                    @Html.TextBoxFor(model => model.tblTestDetail.RbHigh,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestDetail.RbHigh)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestDetail.AbsLimitLow)
                                    @Html.TextBoxFor(model => model.tblTestDetail.AbsLimitLow,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestDetail.AbsLimitLow)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestDetail.AbsLimitHigh)
                                    @Html.TextBoxFor(model => model.tblTestDetail.AbsLimitHigh,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestDetail.AbsLimitHigh)
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-2">
                                    Y=
                                    @Html.LabelFor(model => model.selectedTest.A)
                                    @Html.TextBoxFor(model => model.selectedTest.A,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.selectedTest.A)
                                    *X+
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.selectedTest.B)
                                    @Html.TextBoxFor(model => model.selectedTest.B,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.selectedTest.B)
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-2">
                                @*     @Html.LabelFor(model => model.selectedTest.DelayedR2)
                                    @Html.CheckBoxFor(model => model.selectedTest.DelayedR2,new { data_toggle = "toggle"})
                                    @Html.ValidationMessageFor(model => model.selectedTest.DelayedR2) *@
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.selectedTest.IsVisible)
@*                                     @Html.CheckBoxFor(model => model.selectedTest.IsVisible,new { data_toggle = "toggle"})
 *@                                    @Html.ValidationMessageFor(model => model.selectedTest.IsVisible)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.selectedTest.IsActive)
@*                                     @Html.CheckBoxFor(model => model.selectedTest.IsActive,new { data_toggle = "toggle"})
 *@                                    @Html.ValidationMessageFor(model => model.selectedTest.IsActive)
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="tab_2">
                        <div>
                            <div class="form-group row">
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.selectedTest.R1strSpeed)
                                    @Html.TextBoxFor(model => model.selectedTest.R1strSpeed,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.selectedTest.R1strSpeed)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.selectedTest.R2strSpeed)
                                    @Html.TextBoxFor(model => model.selectedTest.R2strSpeed,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.selectedTest.R2strSpeed)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestDetail.ReplicateCntrl)
                                    @Html.TextBoxFor(model => model.tblTestDetail.ReplicateCntrl,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestDetail.ReplicateCntrl)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestDetail.ReplicateSmp)
                                    @Html.TextBoxFor(model => model.tblTestDetail.ReplicateSmp,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestDetail.ReplicateSmp)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestDetail.ReplicateStd)
                                    @Html.TextBoxFor(model => model.tblTestDetail.ReplicateStd,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestDetail.ReplicateStd)
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestVolume.R1vol)
                                    @Html.TextBoxFor(model => model.tblTestVolume.R1vol,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestVolume.R1vol)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestVolume.R2vol)
                                    @Html.TextBoxFor(model => model.tblTestVolume.R2vol,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestVolume.R2vol)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestVolume.R3vol)
                                    @Html.TextBoxFor(model => model.tblTestVolume.R3vol,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestVolume.R3vol)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestVolume.StdVol)
                                    @Html.TextBoxFor(model => model.tblTestVolume.StdVol,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestVolume.StdVol)
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestVolume.SvolD)
                                    @Html.TextBoxFor(model => model.tblTestVolume.SvolD,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestVolume.SvolD)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestVolume.SvolI)
                                    @Html.TextBoxFor(model => model.tblTestVolume.SvolI,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestVolume.SvolI)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestVolume.SvolN)
                                    @Html.TextBoxFor(model => model.tblTestVolume.SvolN,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestVolume.SvolN)
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestVolume.DilRatioD)
                                    @Html.TextBoxFor(model => model.tblTestVolume.DilRatioD,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestVolume.DilRatioD)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestVolume.DilRatioI)
                                    @Html.TextBoxFor(model => model.tblTestVolume.DilRatioI,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestVolume.DilRatioI)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestVolume.DilRatioN)
                                    @Html.TextBoxFor(model => model.tblTestVolume.DilRatioN,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestVolume.DilRatioN)
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestDetail.CuvWashA)
@*                                     @Html.CheckBoxFor(model => model.tblTestDetail.CuvWashA,new { data_toggle = "toggle"})
 *@                                    @Html.ValidationMessageFor(model => model.tblTestDetail.CuvWashA)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestDetail.CuvWashB)
@*                                     @Html.CheckBoxFor(model => model.tblTestDetail.CuvWashB,new { data_toggle = "toggle"})
 *@                                    @Html.ValidationMessageFor(model => model.tblTestDetail.CuvWashB)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestDetail.SendToHost)
@*                                     @Html.CheckBoxFor(model => model.tblTestDetail.SendToHost,new { data_toggle = "toggle"})
 *@                                    @Html.ValidationMessageFor(model => model.tblTestDetail.SendToHost)
                                </div>
                              @*   <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestDetail.SpecialDil)
                                    @Html.CheckBoxFor(model => model.tblTestDetail.SpecialDil,new { data_toggle = "toggle"})
                                    @Html.ValidationMessageFor(model => model.tblTestDetail.SpecialDil)
                                </div> *@
                            </div>
                      @*       <div class="form-group row">
                                <div class="form-group col-md-3">
                                    @Html.LabelFor(model => model.selectedTest.CurveType)
                                    @Html.DropDownListFor(model => model.selectedTest.CurveType, new SelectList(ViewBag.CurveList,"Value","Text"))
                                    @Html.ValidationMessageFor(model => model.selectedTest.CurveType)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.selectedTest.StdCnt)
                                    @Html.TextBoxFor(model => model.selectedTest.StdCnt,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.selectedTest.StdCnt)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestDetail.CalVarFactor)
                                    @Html.TextBoxFor(model => model.tblTestDetail.CalVarFactor,new { @class = "numericOnly"})
                                    @Html.ValidationMessageFor(model => model.tblTestDetail.CalVarFactor)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblTestDetail.OnlineCalib)
                                    @Html.CheckBoxFor(model => model.tblTestDetail.OnlineCalib,new { data_toggle = "toggle"})
                                    @Html.ValidationMessageFor(model => model.tblTestDetail.OnlineCalib)
                                </div>
                                <div class="form-group col-md-2">
                                    <button style="height: 65px;" type="button" value="Calibration" id="btnCalibration">Calibration</button>
                                </div>
                            </div> *@
                        </div>
                    </div>
                    <div class="tab-pane fade" id="tab_3">
                        <div>
                            @await Html.PartialAsync("Range",Model)
                        </div>
                    </div>
                </div>
            <div style="margin:5px;float:right;">
                <button type="button" class="btn btn-link">Import Parameter</button>  
                <button type="button" class="btn btn-link">Export Parameter</button>  
                <button type="submit" class="btn btn-primary" id="btnSave">Save</button>
                <button type="button" class="btn btn-primary" id="btnCopy">Copy</button>
                <button type="button" class="btn btn-primary">Delete</button>
                <button type="button" class="btn btn-primary">Print</button>
            </div>
        }
    </div>
    }
</div>
@section Scripts
{
<script type="text/javascript">
    $(document).ready(function () {
        
       /* $("#editTestCode").prop("disabled", true); 
        $("#btnCopy").click(function () {  
            $("#editTestCode").prop("disabled", false);
            $("#editTestCode").val(""); 
        });
        $("#btnSave").click(function () {
            $("#editNewTestCode").val($("#editTestCode").val());  
            $("#editTestCode").prop("disabled", true); 
        });*/
        $('#tblTest').DataTable(
        {
            paging:   false,
            ordering: false,
            info:     false,
            searching: false,
            scrollY:   '75vh'
        });
    });    
</script>
}


